Skip to main content
GET
List all Rate Plans

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

limit
integer<int32>
default:20

A limit on the number of objects to be returned, between 1 and 100.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination. starting_after is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object id that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Response

JSON A list array with a data property that contains an array of up to limit RatePlans, starting after the specified starting_after RatePlan (or ending before the specified ending_before RatePlan). Each entry in the array is a full RatePlan object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of RatePlan objects matching the query. Also:

  • total_count: Integer count of the number of RatePlan in the returned list.

  • url: The query string provided in the request

  • next: The route (partial URL) to the next RatePlan object (string to select the “next”); included vid should match that of the last object returned here

  • previous: The route (partial URL) to the previous RatePlan object (string to select the “previous”); included vid should match that of the first object returned here

object
enum<string>
Available options:
List
total_count
integer

Integer count of the number of items in the returned list.

data
object[]
url
string

The query string provided in the request

next
string

The route (partial URL) to the next RatePlan object (string to select the “next”); included id should match that of the last object returned here.

previous
string

The route (partial URL) to the previous RatePlan object (string to select the “previous”); included id should match that of the first object returned here.

Example:

"{ \"object\": \"List\", \"data\": [ { \"object\": \"RatePlan\", \"id\": \"rateplan_1234\", \"vid\": \"4a276f4854085d7c0b5665f61ecf8988bbfe481d\", \"description\": \"Combo: Each, Usage, Flat1\", \"multiply_rated_units_by\": \"EachRespectiveTier\", \"rated_unit\": { \"object\": \"RatedUnit\", \"name_singular\": \"License\", \"name_plural\": \"Licenses\" }, \"tier\": [ { \"object\": \"RatePlanTier\", \"name\": \"Tier 1\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 11, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 1 }, { \"object\": \"RatePlanTier\", \"name\": \"Tier 2\", \"rate_price\": [ { \"object\": \"RatePlanPrice\", \"amount\": 50, \"currency\": \"USD\" } ], \"charge_customer\": \"FlatFee\", \"begins_at_level\": 11 } ], \"rounding_decimals\": 0, \"included_units\": 0, \"minimum_fee\": [ { \"object\": \"RatePlanPrice\", \"amount\": 10, \"currency\": \"USD\" } ], \"maximum_fee\": [], \"rate_plan_model\": \"UsageBased\", \"status\": \"Active\", \"has_event_recorded\": false, \"created\": \"2022-07-05T14:57:23+00:00\" } ], \"total_count\": 1, \"url\": \"/rate_plans\", \"next\": \"/rate_plans?starting_after=rateplan_1234\", \"previous\": \"/rate_plans?ending_before=rateplan_1234\" }"